module Headmin
  module Pagination
    def paginate(collection)
      @records_filtered = collection.count
      collection.page(page).per(per_page)
    end

    def page
      if params[:page]
        params[:page]
      elsif params[:start]
        (params[:start].to_i / per_page) + 1
      else
        1
      end
    end

    def per_page
      length = (params[:per_page] || params[:length]).to_i
      length > 0 ? length : 24
    end
  end
end
