module Headmin
  module Searchable
    def search(collection)
      if search_params&.present?
        collection.search(search_params)
      else
        collection
      end
    end

    def search_params
      @search_params ||= params[:search] && params[:search].to_s
    end
  end
end
