import {Controller} from "stimulus"

export default class extends Controller {
    static get targets() {
        return ["form", "select", "method"]
    }

    connect() {
        this.wrapperClass = "table-actions"
    }

    update(event) {
        event.preventDefault()
        const option = this.selectTarget.options[this.selectTarget.selectedIndex]
        const action = this.selectTarget.value
        const method = option.dataset.method

        // Replace form action
        this.formTarget.action = action
        this.methodTarget.value = method
    }
}
